package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanPreDealLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface PreDealLogMapper {
    /**
     */
    int deleteByPrimaryKey(Integer id);

    /**
     */
    int insert(TabHaobanPreDealLog record);

    /**
     */
    int insertSelective(TabHaobanPreDealLog record);

    /**
     */
    TabHaobanPreDealLog selectByPrimaryKey(Integer id);

    /**
     */
    int updateByPrimaryKeySelective(TabHaobanPreDealLog record);

    /**
     */
    int updateByPrimaryKey(TabHaobanPreDealLog record);

    /**
     * 获取单条数据
     *
     * @param taskId
     * @param dataId
     * @return
     */
    TabHaobanPreDealLog getByDataId(@Param("taskId") String taskId, @Param("dataId") String dataId, @Param("status") int status);

    /**
     * 获取单条数据
     *
     * @param taskId
     * @param pDataId
     * @return
     */
    List<TabHaobanPreDealLog> listByPDataId(@Param("taskId") String taskId, @Param("dataId") String pDataId, @Param("status") int status);

    /**
     * 更新状态
     *
     * @param taskId
     * @param dataId
     * @param status
     * @return
     */
    public int updateStatusByDataId(@Param("taskId") String taskId, @Param("dataId") String dataId, @Param("status") int status);

    /**
     * 校验任务
     *
     * @param taskId
     * @param dataType
     * @return
     */
    public int checkTask(@Param("taskId") String taskId, @Param("dataType") int dataType, @Param("status") int status);


    public List<TabHaobanPreDealLog> listByTaskId(@Param("taskId") String taskId, @Param("dataType") int dataType, @Param("status") int status);
}