package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.service.entity.TabHaobanPreDealLog;

import java.util.List;

/**
 * Created 2020/4/9.
 *
 * @author hua
 */
public interface PreDealService {
    /**
     * 批量新增
     *
     * @param list
     * @return
     */
    public boolean insert(List<TabHaobanPreDealLog> list);

    /**
     * 获取单条数据
     *
     * @param dataId
     * @return
     */
    public TabHaobanPreDealLog getByDataId(String taskId, String dataId, int status);

    /**
     * 根据父数据id 获取子节点
     *
     * @param pDataId
     * @param status
     * @return
     */
    public List<TabHaobanPreDealLog> listByPDataId(String taskId, String pDataId, int status);

    /**
     * 更新单条数据状态
     *
     * @param dataId
     * @param status
     * @return
     */
    public boolean updateStatusByDataId(String taskId, String dataId, int status);


    /**
     * 获取任务是否有在同步中
     *
     * @param dataType
     * @return
     */
    public boolean checkTask(String taskId, int dataType);

    /**
     * 获取任务列表
     *
     * @param type
     * @param status
     * @return
     */
    public List<TabHaobanPreDealLog> listByTaskId(String taskId, int dataType, int status);
}
