package com.gic.haoban.manage.service.service.impl;

import com.gic.commons.util.ToolUtil;
import com.gic.haoban.manage.api.enums.SyncTaskStatusEnum;
import com.gic.haoban.manage.service.dao.mapper.SyncTaskMapper;
import com.gic.haoban.manage.service.entity.TabHaobanSyncTask;
import com.gic.haoban.manage.service.service.SyncTaskService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;

/**
 * Created 2020/4/10.
 *
 * @author hua
 */
@Service
public class SyncTaskServiceImpl implements SyncTaskService {

    @Autowired
    private SyncTaskMapper syncTaskMapper;


    @Override
    public void createTask(TabHaobanSyncTask tabHaobanSyncTask) {
        tabHaobanSyncTask.setTaskId(ToolUtil.randomUUID());
        tabHaobanSyncTask.setStatusFlag(SyncTaskStatusEnum.init.getVal());
        syncTaskMapper.insert(tabHaobanSyncTask);
    }

    @Override
    public boolean updateTaskStatus(String taskId, int status) {
        TabHaobanSyncTask tabHaobanSyncTask = new TabHaobanSyncTask();
        tabHaobanSyncTask.setTaskId(taskId);
        tabHaobanSyncTask.setStatusFlag(status);
        tabHaobanSyncTask.setUpdateTime(new Date());
        int i = syncTaskMapper.updateByPrimaryKeySelective(tabHaobanSyncTask);
        return i >= 0;
    }

    @Override
    public TabHaobanSyncTask getSyncTask(String taskId) {
        return syncTaskMapper.selectByPrimaryKey(taskId);
    }
}
