package com.gic.haoban.manage.web.controller;

import com.gic.clerk.api.service.ClerkService;
import com.gic.enterprise.api.service.EnterpriseService;
import com.gic.enterprise.api.service.StoreGroupService;
import com.gic.enterprise.api.service.StoreService;
import com.gic.haoban.common.utils.HaobanResponse;
import com.gic.haoban.manage.api.service.DealSyncOperationApiService;
import com.gic.haoban.manage.api.service.DepartmentApiService;
import com.gic.haoban.manage.api.service.StaffApiService;
import com.gic.haoban.manage.api.service.StaffDepartmentRelatedApiService;
import com.gic.haoban.manage.web.auth.AuthRequestUtil;
import com.gic.haoban.manage.web.errCode.HaoBanErrCode;
import com.gic.haoban.manage.web.qo.SyncDealQO;
import com.gic.haoban.manage.web.vo.LoginVO;
import com.gic.redis.data.util.RedisUtil;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class SyncDealContoller extends WebBaseController {

    private static Logger logger = LoggerFactory.getLogger(SyncDealContoller.class);

    @Autowired
    private DealSyncOperationApiService dealSyncOperationApiService;


    @RequestMapping("/test/department-sync")
    @ResponseBody
    public HaobanResponse departmentBatchSyncTest(@RequestBody SyncDealQO qo, String wxEid) {
        String task = null;
        if (StringUtils.isNotBlank(wxEid)) {
            task = dealSyncOperationApiService.createTask("门店同步", "11111", "部门同步");
            dealSyncOperationApiService.dealDepartment(task, wxEid, qo.getAddDepartment(), qo.getEditDepartment());
        } else {
            LoginVO login = (LoginVO) AuthRequestUtil.getSessionUser();
            String wxEnterpriseId = login.getWxEnterpriseId();
            String key = "haoban-sync-department-" + wxEnterpriseId;
            if (RedisUtil.getCache(key) != null) {
                return resultResponse(HaoBanErrCode.ERR_10011);
            }
            task = dealSyncOperationApiService.createTask("门店同步", login.getStaffDTO().getStaffId(), "部门同步");
            dealSyncOperationApiService.dealDepartment(task, login.getWxEnterpriseId(), qo.getAddDepartment(), qo.getEditDepartment());
        }

        return resultResponse(HaoBanErrCode.ERR_1, task);

    }

    @RequestMapping("/department-sync")
    @ResponseBody
    public HaobanResponse departmentBatchSync(@RequestBody SyncDealQO qo, String wxEid) {
        String task = null;
        if (StringUtils.isNotBlank(wxEid)) {
            task = dealSyncOperationApiService.createTask("门店同步", "11111", "部门同步");
            dealSyncOperationApiService.dealDepartment(task, wxEid, qo.getAddDepartment(), qo.getEditDepartment());
        } else {
            LoginVO login = (LoginVO) AuthRequestUtil.getSessionUser();
            String wxEnterpriseId = login.getWxEnterpriseId();
            String key = "haoban-sync-department-" + wxEnterpriseId;
            if (RedisUtil.getCache(key) != null) {
                return resultResponse(HaoBanErrCode.ERR_10011);
            }
            task = dealSyncOperationApiService.createTask("门店同步", login.getStaffDTO().getStaffId(), "部门同步");
            dealSyncOperationApiService.dealDepartment(task, login.getWxEnterpriseId(), qo.getAddDepartment(), qo.getEditDepartment());
        }

        return resultResponse(HaoBanErrCode.ERR_1, task);

    }


}
